C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Forms.GetAsync(
id: "id",
request: new GetFormRequestParameters {
Hydrate = new List<FormsRequestParametersHydrateEnum>(){
FormsRequestParametersHydrateEnum.FlowCount,
}
}
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.GetFormRequestParameters{}
client.Forms.Get(
context.TODO(),
"id",
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.forms.requests.GetFormRequestParameters;
import com.auth0.client.mgmt.types.FormsRequestParametersHydrateEnum;
import java.util.Arrays;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.forms().get(
"id",
GetFormRequestParameters
.builder()
.hydrate(
Arrays.asList(FormsRequestParametersHydrateEnum.FLOW_COUNT)
)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Forms\Requests\GetFormRequestParameters;
use Auth0\SDK\API\Management\Types\FormsRequestParametersHydrateEnum;
$client = new Management(
token: '<token>',
);
$client->forms->get(
'id',
new GetFormRequestParameters([
'hydrate' => [
FormsRequestParametersHydrateEnum::FlowCount->value,
],
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.forms.get(
id="id",
hydrate=[
"flow_count"
],
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.forms.get(
id: "id",
hydrate: ["flow_count"]
)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.forms.get("id", {});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.forms.get("id", {});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/forms/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": {
"errors": {},
"custom": {}
},
"languages": {
"primary": "<string>",
"default": "<string>"
},
"translations": {},
"nodes": [
{
"id": "<string>",
"type": "FLOW",
"config": {
"flow_id": "<string>",
"next_node": "<string>"
},
"coordinates": {
"x": 0,
"y": 0
},
"alias": "<string>"
}
],
"start": {
"hidden_fields": [
{
"key": "<string>",
"value": "<string>"
}
],
"next_node": "<string>",
"coordinates": {
"x": 0,
"y": 0
}
},
"ending": {
"redirection": {
"target": "<string>",
"delay": 5
},
"after_submit": {
"flow_id": "<string>"
},
"coordinates": {
"x": 0,
"y": 0
},
"resume_flow": true
},
"style": {
"css": "<string>"
},
"embedded_at": "2023-12-25",
"submitted_at": "2023-12-25"
}Get a form
GET
https://{tenantDomain}/api/v2
/
forms
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Forms.GetAsync(
id: "id",
request: new GetFormRequestParameters {
Hydrate = new List<FormsRequestParametersHydrateEnum>(){
FormsRequestParametersHydrateEnum.FlowCount,
}
}
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.GetFormRequestParameters{}
client.Forms.Get(
context.TODO(),
"id",
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.forms.requests.GetFormRequestParameters;
import com.auth0.client.mgmt.types.FormsRequestParametersHydrateEnum;
import java.util.Arrays;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.forms().get(
"id",
GetFormRequestParameters
.builder()
.hydrate(
Arrays.asList(FormsRequestParametersHydrateEnum.FLOW_COUNT)
)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Forms\Requests\GetFormRequestParameters;
use Auth0\SDK\API\Management\Types\FormsRequestParametersHydrateEnum;
$client = new Management(
token: '<token>',
);
$client->forms->get(
'id',
new GetFormRequestParameters([
'hydrate' => [
FormsRequestParametersHydrateEnum::FlowCount->value,
],
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.forms.get(
id="id",
hydrate=[
"flow_count"
],
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.forms.get(
id: "id",
hydrate: ["flow_count"]
)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.forms.get("id", {});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.forms.get("id", {});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/forms/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": {
"errors": {},
"custom": {}
},
"languages": {
"primary": "<string>",
"default": "<string>"
},
"translations": {},
"nodes": [
{
"id": "<string>",
"type": "FLOW",
"config": {
"flow_id": "<string>",
"next_node": "<string>"
},
"coordinates": {
"x": 0,
"y": 0
},
"alias": "<string>"
}
],
"start": {
"hidden_fields": [
{
"key": "<string>",
"value": "<string>"
}
],
"next_node": "<string>",
"coordinates": {
"x": 0,
"y": 0
}
},
"ending": {
"redirection": {
"target": "<string>",
"delay": 5
},
"after_submit": {
"flow_id": "<string>"
},
"coordinates": {
"x": 0,
"y": 0
},
"resume_flow": true
},
"style": {
"css": "<string>"
},
"embedded_at": "2023-12-25",
"submitted_at": "2023-12-25"
}承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
The ID of the form to retrieve.
Maximum string length:
30クエリパラメータ
Query parameter to hydrate the response with additional data
利用可能なオプション:
flow_count, links Maximum string length:
50レスポンス
Form successfully retrieved.
Maximum string length:
30Required string length:
1 - 150Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
このページは役に立ちましたか?
⌘I